> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sentfrom.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List threads



## OpenAPI

````yaml GET /threads
openapi: 3.1.0
info:
  title: SentFromAI API
  version: 0.1.0
  description: >-
    Comms infrastructure for AI agents. Email send/receive, threading,
    attachments, drafts, webhooks, realtime, and search.
servers:
  - url: https://api.sentfrom.ai/v1
security:
  - bearerAuth: []
tags:
  - name: inboxes
  - name: messages
  - name: threads
  - name: drafts
  - name: webhooks
  - name: labels
  - name: lists
  - name: attachments
  - name: domains
    description: Custom sending domains
paths:
  /threads:
    get:
      tags:
        - threads
      summary: List threads
      operationId: listThreads
      parameters:
        - name: inbox_id
          in: query
          schema:
            type: string
        - name: limit
          in: query
          schema:
            type: integer
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  threads:
                    type: array
                    items:
                      $ref: '#/components/schemas/Thread'
components:
  schemas:
    Thread:
      type: object
      properties:
        id:
          type: string
        subject:
          type:
            - string
            - 'null'
        last_message_at:
          type: string
        messages:
          type: array
          items:
            $ref: '#/components/schemas/Message'
    Message:
      type: object
      properties:
        id:
          type: string
        thread_id:
          type: string
        direction:
          type: string
        from_addr:
          type: string
        to_addrs:
          type: array
          items:
            type: string
        subject:
          type:
            - string
            - 'null'
        body_text:
          type:
            - string
            - 'null'
        delivery_status:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````